Bibliothèques clientes bêta

Restez organisé à l'aide des collections Enregistrez et classez les contenus selon vos préférences.

Selon la langue de votre application, vous devrez peut-être utiliser une bibliothèque cliente spécifique à la version bêta pour utiliser les fonctionnalités bêta de Video Intelligence.

Installer la bibliothèque cliente bêta

La bibliothèque cliente v1p3beta1 est disponible pour les versions bêta de Streaming et Live streaming.

Java

Si vous utilisez Maven, ajoutez ce code à votre fichier pom.xml :

<dependency>
  <groupId>com.google.cloud</groupId>
  <artifactId>google-cloud-video-intelligence</artifactId>
  <version>0.116.0-beta</version>
</dependency>

Si vous utilisez Gradle, ajoutez ceci à vos dépendances :

compile 'com.google.cloud:google-cloud-video-intelligence:0.116.0-beta'

Si vous utilisez SBT, ajoutez ceci à vos dépendances :

libraryDependencies += "com.google.cloud" % "google-cloud-video-intelligence" % "0.116.0-beta"

Node.js

Les fonctionnalités bêta sont disponibles dans la bibliothèque cliente de l'API Video Intelligence pour Node.js standard.

Dans votre application Node.js, spécifiez que vous utilisez la version bêta de l'API à l'aide de la ligne suivante :

const videoIntelligence = require('@google-cloud/video-intelligence').v1p3beta1;

Python

Les fonctionnalités bêta sont disponibles dans la bibliothèque cliente de l'API Video Intelligence pour Python standard.

Dans votre application Python, importez la version v1p3beta1 de l'API :

from google.cloud import videointelligence_v1p3beta1 as videointelligence